package jalview.jbgui;

import javax.swing.JInternalFrame;
import javax.swing.JSplitPane;

public class GSplitFrame extends JInternalFrame
{
  private static final long serialVersionUID = 1L;

  private GAlignFrame topFrame;

  private GAlignFrame bottomFrame;

  /**
   * Constructor
   * 
   * @param top
   * @param bottom
   */
  public GSplitFrame(GAlignFrame top, GAlignFrame bottom)
  {
    this.topFrame = top;
    this.bottomFrame = bottom;
    JSplitPane splitPane = new JSplitPane(JSplitPane.VERTICAL_SPLIT, top,
            bottom);
    splitPane.setVisible(true);
    add(splitPane);
    splitPane.setDividerLocation(0.5d);
    splitPane.setResizeWeight(0.5d);
    splitPane.setDividerSize(0);
  }

  public GAlignFrame getTopFrame()
  {
    return topFrame;
  }

  public GAlignFrame getBottomFrame()
  {
    return bottomFrame;
  }
}
